/**************************************************************************
 * This file is property of and copyright by the Experimental Nuclear     *
 * Physics Group, Dep. of Physics                                         *
 * University of Oslo, Norway, 2007                                       *
 *                                                                        *
 * Author: Per Thomas Hille <perthi@fys.uio.no> for the ALICE HLT Project.*
 * Contributors are mentioned in the code where appropriate.              *
 * Please report bugs to perthi@fys.uio.no                                *
 *                                                                        *
 * Permission to use, copy, modify and distribute this software and its   *
 * documentation strictly for non-commercial purposes is hereby granted   *
 * without fee, provided that the above copyright notice appears in all   *
 * copies and that both the copyright notice and this permission notice   *
 * appear in the supporting documentation. The authors make no claims     *
 * about the suitability of this software for any purpose. It is          *
 * provided "as is" without express or implied warranty.                  *
 **************************************************************************/

#include "AliHLTPHOSModuleZXCoordinate.h"
#include "AliHLTPHOSModuleXCoordinate.h"
#include "AliHLTPHOSModuleZCoordinate.h"

 
AliHLTPHOSModuleZXCoordinate::AliHLTPHOSModuleZXCoordinate(AliHLTPHOSModuleZCoordinate& z, AliHLTPHOSModuleXCoordinate& x): fZ(0),	    	
															    fX(0)
{
 SetZ(z); 
 SetX(x);
}



AliHLTPHOSModuleZXCoordinate::AliHLTPHOSModuleZXCoordinate() : fZ(0), 
							       fX(0)
{
  
}

AliHLTPHOSModuleZXCoordinate::~AliHLTPHOSModuleZXCoordinate()
{

}

void 
AliHLTPHOSModuleZXCoordinate::SetZXCoordinate(AliHLTPHOSModuleZCoordinate&  z, AliHLTPHOSModuleXCoordinate& x)
{
  SetZ(z); 
  SetX(x);
}

AliHLTPHOSModuleXCoordinate
AliHLTPHOSModuleZXCoordinate::GetX()
{
  return fX;
}

AliHLTPHOSModuleZCoordinate
AliHLTPHOSModuleZXCoordinate::GetZ()
{
  return fZ;
}


void
AliHLTPHOSModuleZXCoordinate::SetX(AliHLTPHOSModuleXCoordinate &x )
{
  fX = x;
}

void
AliHLTPHOSModuleZXCoordinate::SetZ(AliHLTPHOSModuleZCoordinate &z )
{
  fZ = z; 
}
